---
name: Chester Nwachukwu
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/sales/customer-success-management/">Customer Success Manager
  (Mid Market East)</a>
reports_to: afrusciano
picture: chesternwachukwu.jpg
gitlab: cnwachukwu
departments:
- Customer Success
- Customer Success Managers
- Configure Group CS Stable Counterpart
story: 'Chester has over 6+ years in the tech industry supporting clients in A.I,
  financial services, and the defense sector. Outside of working with interesting
  technology companies he enjoys listening to unique podcasts, watching interesting
  documentaries, and keeping up with his nieces and nephews whose pop culture references
  make him feel really old.

'
